
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>初学触发器 / iVAN</title>

    <meta name="description" content="初学触发器 初学|触发器 这里只打算讲解四部分了,也就最简单.最常用的四部分.   1.触发器.      定义: 何为触发器?在SQL Server里面也就是对某一个表的一定的操作,触发某种条件,从而执行的一段程序.触发器是一个特殊的存储过程.     常见的触发器有三种:分别应用于Insert , Update , Delete 事件.(SQL Server 2000定义了新的触发器,这里不提)      我为什么要使用触发器?比如,这么两个表:      Create Table Student(  ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">初学触发器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>初学|触发器</p>
<p>这里只打算讲解四部分了，也就最简单、最常用的四部分。</p>
<p>  1、触发器。</p>
<p>     定义： 何为触发器？在SQL Server里面也就是对某一个表的一定的操作，触发某种条件，从而执行的一段程序。触发器是一个特殊的存储过程。<br />     常见的触发器有三种：分别应用于Insert , Update , Delete 事件。(SQL Server 2000定义了新的触发器，这里不提）</p>
<p>     我为什么要使用触发器？比如，这么两个表：</p>
<p>     Create Table Student(             --学生表<br />       StudentID int primary key,      --学号<br />       ....<br />      )</p>
<p>     Create Table BorrowRecord(              --学生借书记录表<br />       BorrowRecord  int identity(1,1),      --流水号  <br />       StudentID     int ,                   --学号<br />       BorrowDate    datetime,               --借出时间<br />       ReturnDAte    Datetime,               --归还时间<br />       ...<br />     )</p>
<p>    用到的功能有:<br />       1.如果我更改了学生的学号,我希望他的借书记录仍然与这个学生相关(也就是同时更改借书记录表的学号);<br />       2.如果该学生已经毕业，我希望删除他的学号的同时，也删除它的借书记录。<br />    等等。</p>
<p>    这时候可以用到触发器。对于1，创建一个Update触发器：</p>
<p>    Create Trigger truStudent<br />      On Student<br />      for Update<br />    As<br />      if Update(StudentID)<br />      begin</p>
<p>        Update BorrowRecord <br />          Set StudentID=i.StudentID<br />          From BorrowRecord br , Deleted  d ,Inserted i <br />          Where br.StudentID=d.StudentID</p>
<p>      end       <br />                <br />    理解触发器里面的两个临时的表：Deleted , Inserted 。注意Deleted 与Inserted分别表示触发事件的表“旧的一条记录”和“新的一条记录”。<br />    一个Update 的过程可以看作为：生成新的记录到Inserted表，复制旧的记录到Deleted表，然后删除Student记录并写入新纪录。</p>
<p>    对于2，创建一个Delete触发器<br />    Create trigger trdStudent<br />      On Student<br />      for Delete<br />    As<br />      Delete BorrowRecord <br />        From BorrowRecord br , Delted d<br />        Where br.StudentID=d.StudentID</p>
<p>    从这两个例子我们可以看到了触发器的关键：A.2个临时的表；B.触发机制。<br />    这里我们只讲解最简单的触发器。复杂的容后说明。<br />    事实上，我不鼓励使用触发器。触发器的初始设计思想，已经被“级联”所替代</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:08:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/update/" title="update">update</a>, <a href="https://www.iamivan.net/tag/%e5%ad%a6%e7%94%9f/" title="学生">学生</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a6%e5%8f%91%e5%99%a8/" title="触发器">触发器</a>, <a href="https://www.iamivan.net/tag/student/" title="student">student</a>, <a href="https://www.iamivan.net/tag/inserted/" title="INSERTED">INSERTED</a>, <a href="https://www.iamivan.net/tag/%e5%80%9f%e4%b9%a6%e8%bf%98%e4%b9%a6/" title="借书还书">借书还书</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>初学触发器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnnlZp.html" rel="bookmark">初学：详细讲解网页框架frameset的使用心得</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				初学|网页|心得 最近在搞网页编程,总结了frameset 的一些使用技巧,供大家参考哦,还是先剖析一下框架吧! ■ 框架标记 &lt;FRAMESET&gt; &lt;FRAME&gt; &lt;NOFRAMES&gt; &lt;IFRAME&gt; 欲明白本篇[HTML彻底剖析]之标记分类,请看 [标记一览]. 也请先明白围堵标记与空标记的分别,请看 [HTML概念]. ■ 框架概念 : 谓框架便是网页画面分成几个框窗,同时取得多个 URL.只需要 &lt;FRAMESET&gt; &lt;FRAME			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOrVvp.html" rel="bookmark">初学T-SQL笔记之 ON &lbrack;PRIMARY&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				笔记|初学 初学T-SQL之 ON [PRIMARY]   这些天什么都没做.年前似乎有忙不完的事,年后了却又有了好逸的毛病....   今天才开始看学校实验指导的数据库开发实例.以前一直没有时间来看... 创建表的语句中,最后总来一句on[primary],这是什么意思? 翻翻联机丛书.在CREATE TABLE的语法下似乎没有找到.硬着头皮看下去,终于明白了一些. 写出来吧.侯捷老师说,发表是最好的记忆.:) 在CREATE TABLE的语法中有这样一句可选语法项目:[ ON { fileg			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8A3Poz.html" rel="bookmark">mysql的触发器，语法报错。求高手帮忙看下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mysql的触发器,语法报错.求高手帮忙看下 这个触发器实现当在SC表中插入一条选课成绩,自动触发Upd_Credits,完成在Credits表中修改该同学的合计学分和不合格课程数.Courses表中储存有Credit信息 初学mySQl,对语法还不是很熟悉,为什么会在@Credit下面画线?其他地方有问题么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p52LAWz.html" rel="bookmark">SQL 通过触发器实现delete数据备份</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL SERVER 通过触发器实现delete数据备份,触发器脚本如下: SET ANSI_NULLS ON GO SET QUOTED_IDENTIFIER ON GO CREATE TRIGGER [dbo].[tgr_a_user_delete] ON [dbo].[A_User] for delete AS BEGIN if (object_id('A_UserBak', 'U') is not null) begin --存在A_UserBak,直接插入数据 insert into			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpm7Kwb.html" rel="bookmark">c&plus;&plus;-初学C&plus;&plus; 求超详细的视频教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 初学C++ 求超详细的视频教程 本人最近想学C++的编程写3D游戏 却不知道要怎么写 所以要求各位大神告诉我最好看些什么书可以是速成的.或者是超详细视频教程 谢谢 P.S. 如果在Mac上我最好用什么样的编程软件呢? 解决方案 推荐学习路线: 第一:&lt;数据结构与操作系统&gt;必看 第二:&lt;C语言程序设计&gt;必看 第三:&lt;C++程序设计&gt;书可以随便选了,跟着做几个例程 第四:&lt;C++游戏设计指南&gt;书随便选,都差不多.再跟着网上视频教程学就成了. 解决方案二			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4wWrp.html" rel="bookmark">Sql  触发器</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/rz4wWrp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAxMjIwOTM0NDQwNDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				        触发器是一种特殊的存储过程﹐它不能被显式地调用﹐而是在往表中插入记录﹑更新记录或者删除记录时被自动地激活.所以触发器可以用来实现对表实施复杂的完整性约束.          触发器在数据库里以独立的对象存储,与存储过程不同的是,存储过程通过其他程序来启动运行,而触发器是由一个事件来启动运行.即当某个事件发生时,触发器自动地隐式运行.并且,触发器不能接收参数.         触发器对象定义了触发器的特征和被调用时采取的行动.而这些动作是通过一个或多个SQL语句来实现的.SQL支持			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MY29Qp.html" rel="bookmark">PostgreSQL 自带自增字段 请勿使用触发器或其他手段生成&lpar;Like Oracle&comma; MySQL&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Oracle中,因为不能设置字段的default sequence.nextval,所以如果要设置自增字段,需要使用触发器.例如: create sequence seq; create table test(id int, info text); CREATE OR REPLACE TRIGGER tg1 BEFORE INSERT ON test FOR EACH ROW BEGIN SELECT seq.nextval INTO :new.ID FROM dual; end; 这种方式能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MW2Bqb.html" rel="bookmark">sqlserver 存储过程-关于一个数据库触发器的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于一个数据库触发器的问题 请教一个数据库相关的问题 各位大神好,小弟现正使用sqlserver数据库,现有这么一个需求, 需要监视有关 表A 的插入,修改,删除 操作,并需要将新的整条数据形成类似 &lt;tbrecord id=&quot;某一行的ID&quot; columnAname=&quot;该行的列名为columnAname的值&quot; columnBname=&quot;该行的列名为columnAname的 值&quot;&gt;tbName(表的名称) 一个xml字符串保存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqArOM.html" rel="bookmark">Oracle中触发器详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle触发器分类: 1. 语句触发器 2. 行触发器 3. 系统条件触发器 4. 用户事件触发器 5. INSTEAD OF 触发器 1. 语句触发器 是在表上或者某些情况下的视图上执行的特定语句或者语句组上的触发器.能够与INSERT.UPDATE . DELETE或者组合上进行关联.但是无论使用什么样的组合,各个语句触发器都只会针对指定语句激 活一次 .比如,无论update多少行,也只会调用一次update语句触发器. 例子: 需要对在表上进行DML操作的用户进行安全检查,看是否具有			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze00Vp.html" rel="bookmark" class="title">『产品经理』的使命是什么</a>
					<div>
						文章开始之前我们先回顾一下『产品经理』的使命是什么? ---帮助企业或者团队打造出有价值的产品. 言归正传. 那么产品有哪些阶段呢? ---从无到有,从有到优. 这里我换个方式展开来讲(0-10分). ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmR4wz.html" rel="bookmark" class="title">PHP遍历文件夹与文件类及处理类用法实例</a>
					<div>
						  本文实例讲述了PHP遍历文件夹与文件类及处理类用法,非常具有实用价值.分享给大家供大家参考.具体方法如下: FindFile.class.php类文件用于遍历目录文件,具体代码如下: &lt;?p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp80rlp.html" rel="bookmark" class="title">判断表单中添加是否数字的JS与VBS代码</a>
					<div>
						js 1.用javascript判断 [isNaN()] JS代码:&lt;script language=&quot;javascript&quot;&gt;function check(formn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbanaPM.html" rel="bookmark" class="title">百度新算法发布，究竟我们的外链该如何操作？</a>
					<div>
						随着百度一次又一次的针对外链方面的算法更新,在最近的绿萝算法中再一次明确指出所有附带文本链接的软文一律给予降权或者不重视.包括本人也是,在听到这个消息后,就真的不知道该怎样去继续做不得不做的外链了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq3EZz.html" rel="bookmark" class="title">设计师参考&colon;基于Helvetica字体的设计作品</a>
					<div>
						设计师,不管是 Web 设计师,还是平面设计师都有字体情结,字体会改变一个设计的感觉,设计师总有无数的字体可以使用,而 Helvetica 常常是他们最安全的选择.这款由 Max Miedinger  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZLr6M.html" rel="bookmark" class="title">胡佩彬：SEO基础指南之Description写法注意事项</a>
					<div>
						一.并不是每个页面都需要编写描述,重要的页面编写即可了.描述尽量要以简单为主,即使我们每个页面关键词都排名第一,并不能代表我们能拿走所有的流量,因为用户有不同的需求,而我们不可能在我们的表述放置所有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPPJPM.html" rel="bookmark" class="title">在Silverlight下使用WCF通信</a>
					<div>
						关于在SL下实现WCF通信的文章很多,因此我着重从我的实践上讲解,这样可 能易懂一些. 一.简单介绍下WCF 全名:Windows Communication Foundation 从Dotnet F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91XEdM.html" rel="bookmark" class="title">用C&num;写托管触发器</a>
					<div>
						介绍 随着SQL Server 2005中集成CLR,我们可以使用现代面向对象语言例如C#,VB.NET等来建立数据库对象. 本文将会用简单而必要的步骤来说明如何用C#写托管触发器. 顼目 我们将为托 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGj5Wnp.html" rel="bookmark" class="title">普联TL-WN721N V1&period;0怎么安装设置无线网卡</a>
					<div>
						  普联TL-WN721N V1.0安装设置无线网卡的方法 第一步.准备无线网卡及驱动 方法一.将无线网卡安装光盘放入电脑光驱,并将无线网卡插到电脑的USB接口.打开 我的电脑 (计算机) ,找到DV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oYZwb.html" rel="bookmark" class="title">photoshop文档不能保存成PNG格式该怎么处理？</a>
					<div>
						  1.今天做了两张名片,是从网上下载的图片资源 文档不能保存成PNG格式该怎么处理?-&quot;&gt; 2.保存的时候发现没有储存为png的选项 3.原来是图像的模式有了一些改变,原图的模式为c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBA3Oz.html" rel="bookmark" class="title">为什么win7连接无线网络会出现资源管理器崩溃重启</a>
					<div>
						这个问题只会出现在3年前吧,最近没发现过这个问题,那时候刚刚出现win7没有给予任何的解决方法. 1 出现这个问题的原因: 你电脑收到的无线信号超过5个,然后使用无线连接就会出现资源管理器崩溃. 2  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24r4kp.html" rel="bookmark" class="title">win7如何取消待机</a>
					<div>
						  我的电脑使用的时候win7的系统,每次离开就几分钟的时间,电脑就开始待机了,会来的时候电脑处于待机黑屏状态,晃动下鼠标或者是拍下键盘,唤醒待机,但是要输入密码,进入之后还要宽带连接,感觉十分的麻烦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYdJZM.html" rel="bookmark" class="title">有道云笔记客户端如何更新升级到最新版本</a>
					<div>
						  1.首先运行我们的云笔记,这里会打开我们的主界面 2.在主界面的右上角找到一个小三角的图标 3.选择图标,在弹出的菜单中依次找到帮助-在线升级 4.选择在线升级后 会弹出一个升级检测窗口,如果有新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPBdrp.html" rel="bookmark" class="title">平台之大势何人能挡？ 带着你的Net飞奔吧！</a>
					<div>
						镇楼图:   第一季:[Net跨平台第一步]NoBase For Linux ---By L0T[更新完毕] 1.Linux基础学习 By dnt http://www.cnblogs.com/dun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEmXap.html" rel="bookmark" class="title">《HTML5 2D游戏编程核心技术》&mdash;&mdash;导读</a>
					<div>
						目 录第1章 概述 1.1 Snail Bait游戏1.2 HTML5游戏开发最佳实践 1.2.1 窗口失去焦点时暂停游戏1.2.2 窗口重获焦点时实现倒计时功能1.2.3 使用CSS实现UI特效1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqLO8b.html" rel="bookmark" class="title">最基础知识摄像机之镜头介绍</a>
					<div>
						关于最基础知识摄像机你了解多少,本文小编要为大家介绍的是最基础知识摄像机的镜头知识. 1.镜头的种类(根据应用场合分类) 广角镜头:视角90 度以上,观察范围较大近处图像有变形. 松下公司有WV-LA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamKyJb.html" rel="bookmark" class="title">利用Node&period;js本地构建</a>
					<div>
						                  Node.js是一个基于Google Chrome浏览器v8 javascript执行引擎的异步I/O事件驱动的运行平台.直从2009年诞生开始,已经在业界得到了很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPgl1p.html" rel="bookmark" class="title">Ubuntu修改MySQL默认数据库目录</a>
					<div>
						    在CentOS修改MySQL数据库目录很简单,在my.cnf更改datadir路径后,启动即可,但在Ubuntu系统初次更改,可就上火了,因为Ubuntu有个AppArmor,是一个Linux ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRQ1gz.html" rel="bookmark" class="title">架构设计中服务层的简单理解</a>
					<div>
						   在ddd设计中我们经常会提到服务层,服务层是什么?职责是什么?有什么好处?.    先看简单的层次图(注:这里并没有考虑其他多余的领域逻辑数据层存储,或者UOW这些细节)    我的理解是服务层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ0NZz.html" rel="bookmark" class="title">请教如何在ASP&period;NET中部署server push以实现web即时聊天</a>
					<div>
						问题描述 最近需要实现web里的即时聊天功能!看了好多相关文档都没有具体的介绍,大部分都是说用serverpush技术实现,但是并没有详细介绍部署!请大家指点!(用ajax实现所谓的即时聊天相关除外, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZJBNM.html" rel="bookmark" class="title">控制-JS如何显示和隐藏一个表格中的所有表单输入框。</a>
					<div>
						问题描述 JS如何显示和隐藏一个表格中的所有表单输入框. 现在是想要把表格的补货一栏去掉,在表格底部加一个按钮,点击以后 已补货的数字变成输入框.然后再次点击以后提交. 我想要的是一个按钮,控制所有& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZAkdp.html" rel="bookmark" class="title">新浪云计算平台SAE：开启互联网创业新模式</a>
					<div>
						在互联网发展越来越迅速的当今社会,人们的商业运作模式也在逐渐发生着多元化的改变,而云计算的发展,势必会为互联网带来新的契机.从saas模式到Paas模式,中国互联网将进入到云计算的崭新时代,而PaaS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXgJvz.html" rel="bookmark" class="title">利用Photoshop快速制作创意的木块字效果</a>
					<div>
						最终效果   1.在Photoshop中创建一个新文档,按下图设置大小.     2.字体设计多在灵活性,所以做成什么样全凭自己喜好,不推荐照搬,甚至可以做成三角的,以上数字仅供参考.   3.参考下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl4mXp.html" rel="bookmark" class="title">360出手了你就跟上吧</a>
					<div>
						360是这样一家公司,只要让他们在市场上找到某种用户强需求,不管这里面牵涉到多少利益链条,他们很快就会推出满足这种需求的产品,且不怕得罪相关利益方,甚至敢与巨头开战.这个逻辑其实很简单,天大地大,用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjBA0M.html" rel="bookmark" class="title">GOOGLE收录后为什么又消失了</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 要说此问题能被你发现证明你是一个很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xxJrb.html" rel="bookmark" class="title">六顶帽子思考法的要求与好处</a>
					<div>
						六顶帽子思考法的要求 作为一个小组性的活动,六顶帽子思考法要求: 1.戴同一顶帽子 小组所有的人都理解思考问题的方向,也就是说在同一时间非常清楚用哪一种思考方式进行思考. 例如鱼买回来了,现在要思考鱼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY7k6b.html" rel="bookmark" class="title">js数组常用操作方法小结&lpar;增加&comma;删除&comma;合并&comma;分割等&rpar;&lowbar;javascript技巧</a>
					<div>
						本文实例总结了js数组常用操作方法.分享给大家供大家参考,具体如下: var arr = [1, 2, 3, 4, 5]; //删除并返回数组中第一个元素 var theFirst = arr.shi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYj06b.html" rel="bookmark" class="title">php设计模式 Chain Of Responsibility &lpar;职责链模式&rpar;&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: &lt;?php /** * 职责链模式 * * 为解除请求的发送者和接收者之间的耦合,而使用多个对象都用机会处理这个请求,将这些对象连成一条链,并沿着这条链传递该请求,直到有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW2gRz.html" rel="bookmark" class="title">《嵌入式系统数字视频处理权威指南》&mdash;&mdash; 导读</a>
					<div>
						https://yqfile.alicdn.com/a4f5d789f9fe43c44396de29cccb48d436c20c9b.png&quot; &gt; 前言数字视频涵盖了众多应用领域,随着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdYv6b.html" rel="bookmark" class="title">广州招聘出现海归难就业现象 或因专业扎堆</a>
					<div>
						硅谷网消息 近年来广州的出国热也不可避免了海归的贬值,他们在广州招聘会上的求职大军中已不再耀眼,甚至很多海归想找一份理想的工作都变得很不容易,针对这种状况,广州加大了针对留学生的就业指导服务. 其实广 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
